---
title: "Introduction to Library Carpentry"
teaching: 15
exercises: 0
questions:
- What do librarians gain from code?
objectives:
- Explain why software skills are valuable to librarians
- Know where to go for help during Library Carpentry
keypoints:
- Don't be scared to ask for help
---

## Overview

### Introduction

Welcome to Library Carpentry! The aim of Library Carpentry is to create a set of tools the community can manage, support, enrich, and reuse as it sees fit. 

The rationale for Library Carpentry is twofold. First, as Andromeda Yelton argues in her excellent [ALA Library Technology Report](http://journals.ala.org/ltr/issue/view/506) 'Coding for Librarians: learning by example', code is a means for librarians to take control of practice and to empower themselves and their organisation to meet user needs in flexible ways. Second, librarians play a crucial role in cultivating world class research. In most research areas today, world class research relies on the use of software. Librarians with software skills are then well placed to continue that cultivation of world class research.

This series of introductory workshops on software skills for librarians started life as an exploratory programme funded by the Software Sustainability Institute and supported by [Software Carpentry](http://software-carpentry.org/) and City University London. Thanks also go to the British Library and the University of Sussex where James Baker, who developed the workshops, worked when planning and delivering the workshops. 

Periodically during the sessions we will collect anonymous feedback that will go into improving the classes and ensuring that they best fit the evolving needs and requirements of the library and information science community.



### Where to go for help 

Begin by identifying people at your table who can help: you will all be working from the same material, so someone around you may have mastered the point you are stuck at.

There are helpers on hand to help if those around you can't. You should all have access to coloured sticky notes: attaching a red sticky note to your laptop indicates that you need help (it might also alert the attention of someone around you!). So, please use them. Most Library Carpentry lessons will require you to follow along whilst your instructor demonstrates a software tool or approach. Sometimes you will fall behind. If you do, raise your red sticky note and ask a helper if we can slow the pace.

Your issue may be specific to your computer. Computers are stupid, can frustrate, and as you all have different machines it can be tricky to resolve problems. Please be patient, particularly if your issue is local. Stepping outside and taking a gulp of fresh air always helps.

Each part of Library Carpentry may require you to install software or download data. Breaks are a good time to ask for help if installation is not going as expected.

Finally, we encourage you to finish up or repeat tasks after class time: if you run into any problems, please report them on the relevant Github issues page (see the bottom of each lesson page for a link).


